import { DynamicModule, OnModuleDestroy } from '@nestjs/common';
import { RedisModuleAsyncOptions, RedisModuleOptions } from './interfaces/options.interface';
import { RedisClientList } from './types';
export declare class RedisCoreModule implements OnModuleDestroy {
    private readonly options;
    private readonly clientList;
    constructor(options: RedisModuleOptions, clientList: RedisClientList);
    /**
     * 同步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRoot(options: RedisModuleOptions): DynamicModule;
    /**
     * 异步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRootAsync(options: RedisModuleAsyncOptions): DynamicModule;
    /**
     * 创建异步Provider列表
     * @param options 异步配置
     * @returns Provider列表
     */
    private static createAsyncProviders;
    /**
     * 创建异步Provider
     * @param options 异步配置
     * @returns Provider
     */
    private static createAsyncOptionsProvider;
    onModuleDestroy(): void;
}
